# sample config配置说明

## 环境配置
```
"env": "prod"  # 环境，prod:生产环境，dev:开发环境
```
## 图片文件夹
```
origin_image_dir = "sample/origin/"  # 原始文件
train_image_dir = "sample/train/"   # 训练集
test_image_dir = "sample/test/"   # 测试集
api_image_dir = "sample/api/"   # api接收的图片保存路径
local_origin_image_dir = "sample/local_origin/"  # 本地待识别图片的路径
new_image_dir = "sample/new_train/",  # 新的训练样本
online_image_dir = "sample/online/"  # 远从远程验证码url获取的待识别图片，识别后保存图片的路径
local_image_dir = "sample/local/"  # 本地识别后保存图片的路径

```
## 模型文件夹
```
model_save_dir = "model/"  # 训练好的模型储存路径
```
## 图片相关参数
```
image_width = 80  # 图片宽度
image_height = 40  # 图片高度
max_captcha = 4  # 验证码字符个数
image_suffix = "jpg"  # 图片文件后缀
```
## 是否从文件中的导入标签
```
use_labels_json_file = False
```
## 验证码字符相关参数
```
char_set = "0123456789abcdefghijklmnopqrstuvwxyz"
char_set = "abcdefghijklmnopqrstuvwxyz"
char_set = "0123456789"
```
## 创建本地识别服务器
```
webserver_recognize_url = "127.0.0.1",
webserver_recognize_port = 6000,
```
## 外部程序调用的的服务器
```
request_recognize_ip = "127.0.0.1",
request_recognize_port = 2000,
```
## 在线识别远程验证码地址
```
remote_url = "http://127.0.0.1:6100/captcha/"
```
## 训练相关参数
```
cycle_stop = 3000  # 到指定迭代次数后停止
acc_stop = 0.99  # 到指定准确率后停止
cycle_save = 500  # 每训练指定轮数就保存一次（覆盖之前的模型）
enable_gpu = 0  # 使用GPU还是CPU,使用GPU需要安装对应版本的tensorflow-gpu==1.7.0
```